본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Customer file management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Customer file management

This document describes how to use the Customer file management APIs.

View list of customer files

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/customerFilesBusiness token

Retrieves a list of the uploaded customer files.

You can use the data in [맞춤타겟(Custom audience target)] > [내 데이터 설정(My data settings)] when creating or editing an ad group.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of customer files in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-CustomerFile[]List of customer file.
CustomerFile
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
adidListKeyStringCustomer file's registration key.
customerFileStatusStringStatus.
One of the followings:
  • WAITING: Waiting for extracting target population from customer file.
-COMPLETE: Target population has been extracted from a customer file.
  • DELETE: Deleted or deleting.
  • ERROR: Other abnormal cases.
  • MODIFYING: Preparing for the modified target population.
populationScoreLongTarget population
Number of Kakao users extracted from the registered customer file.
Customer file in WAITING status cannot be used for targeting.
Extraction is completed within 6 hours after registering the customer file.
readyBooleanWhether it is ready or not.
createdDateStringDate and time of target registration
Edited customer file creation date if the customer file is edited
lastModifyRequestDateStringLast modified date and time.
originalCreatedDateStringThe initial registration date and time.
If the customer file has been modified, the registration date and time of the first registered customer file.
populationUpdateDateStringDate and time of target update.
typeStringType of the customer file registration.
sourceUrlStringRegistration URL.
renewableBooleanWhether the renewal is available or not.
renewalExpireDateTimeStringRenewal validity period
90 days from the target population extraction.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/customerFiles" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1,
"adAccountId": 1234,
"name": "first_customer_file",
"adidListKey": "a1234b567890123cde45f6g7890hij23",
"customerFileStatus": "COMPLETE",
"ready": true,
"createdDate": "2020-01-01 00:00",
"lastModifyRequestDate": "2020-01-01 00:00",
"originalCreatedDate": "2020-01-01 00:00",
"populationUpdateDate": "2020-01-01 14:00"
}
]

View details of customer file

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/customerFiles/${ID}Business token

Retrieves the detailed information of a specific customer file.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must also pass the customer file ID that you want to retrieve when you request. If the request is successful, this API returns the detailed information of the customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per customer file.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
IDLongCustomer file ID.O

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
adidListKeyStringCustomer file's registration key.
readyBooleanWhether it is ready or not.
customerFileStatusStringStatus.
One of the followings:
  • WAITING: Waiting for extracting target population from customer file.
-COMPLETE: Target population has been extracted from a customer file.
  • DELETE: Deleted or deleting.
  • ERROR: Other abnormal cases.
  • MODIFYING: Preparing for the modified target population.
  • TRANSFORM_ERROR: Failed to register the CSV file with a URL.
populationScoreLongTarget population
Number of Kakao users extracted from the registered customer file.
Customer file in WAITING status cannot be used for targeting.
Extraction is completed within 6 hours after registering the customer file.
createdDateStringDate and time of target registration.
Edited customer file creation date if the customer file is edited.
lastModifyRequestDateStringLast modified date and time.
originalCreatedDateStringThe initial registration date and time.
If the customer file has been modified, the registration date and time of the first registered customer file.
populationUpdateDateStringDate and time of target update.
typeStringThe type of the registration.
sourceUrlStringRegistered URL.
renewableBooleanWhether to renew.
renewalExpireDateTimeStringRenewal period
90 days from the registration.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/customerFiles/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 2656,
"adAccountId": 27429,
"name": "고객파일 등록",
"adidListKey": "c8010decafde484eb33284b53a290c30",
"customerFileStatus": "MODIFYING",
"populationScore": 7170,
"ready": true,
"createdDate": "2024-02-06T00:03:59",
"lastModifyRequestDate": "2024-02-06T15:35:44",
"originalCreatedDate": "2024-02-05T16:58:20",
"populationUpdateDate": "2024-02-06T01:34:00",
"type": "URL",
"sourceUrl": "https://sample-url.com/*****valid1.csv",
"renewable": true,
"renewalExpireDateTime": "2024-05-06T00:03:58",
"transformStatus": "COMPLETED",
"transformDateTime": "2024-02-06T00:16:19"
}

Customer file registration

Register with file

Basic information
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/customerFilesBusiness token

Enables you to upload the customer file that can be used for an ad group in a file format.

This API only supports the Multipart/form-data method. A single customer file can consist of up to 10 CSV files, and the total file size of the customer file should be 200 MB or less. You can upload up to 50 customer files per account. Target population is extracted within 6 hours after the customer file is created.

You can add users' ADIDs only to a customer file in a CSV file format. To see the sample of the CSV file, download the template.

You can also download the template and register a customer file by referring to the teamplate in [Kakao Moment] > [Ad account] > [Target management] > [Customer file management] on the Kakao Business website. To see how to upload a Friend group file in detail, read Kakao Business Guide > Kakao Moment.

Send a POST request with the issued business token and an ad account ID (adAccountId) in the request header. You must also pass the name and path of the customer file when you request. If the request is successful, this API returns the detailed information of the created customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per user account and ad account.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
nameStringCustomer file's name.
Allowed characters: Korean, English, special characters, space
Character limits: 120 characters
O
filesMultipartFileCustomer file with a .CSV file extension.
Number of files to be uploaded: up to 10
Total size of uploaded files: up to 200 MB
Its MimeType is text/csv.
O

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
successCountIntegerNumber of successes
failedCountIntegerNumber of failures.
successFileUrlStringURL of the data file uploaded successfully.
failedFileUrlStringURL of the data file failed to be uploaded.
fileTypeStringFile identifier type.
ADID
customerFileStatusStringStatus.
WAITING (Pending)
createdDateStringDate and time of registration.

Sample

Request
curl -X POST "https://apis.moment.kakao.com/openapi/v4/customerFiles" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: multipart/form-data" \
-F "files=@local/sample1.csv" \
-F "files=@local/sample2.csv" \
-F "files=@local/sample3.csv" \
-F "name=first_customer_file"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 1,
"adAccountId": 1234,
"name": "first_customer_file",
"successCount": 100,
"failedCount": 0,
"successFileUrl": "https://stwg.kakaocdn.net/success.csv",
"fileType": "ADID",
"customerFileStatus": "WAITING",
"createDate": "2020-01-01 00:00:00"
}

Register with URL

Basic information
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/customerFiles/urlBusiness token

Enables you to upload the customer file that can be used for an ad group with a URL format.

The URL must be in a http:// or https:// format and available for public access. And the URL must serve a list of ADID(Advertiser ID) in the CSV file format. The CSV file has no file size restriction, unlike Register with file API. Refer to the guide and the sample for the format of the CSV file. Target population is extracted within 6 hours after the customer file is created.

If the renewable option is enabled when registering a customer file with a URL, Kakao Moment regularly renews the ADID list once daily. Until the renewal is completed, the targeting of the ad group uses the previous customer file. The renewal period is 90 days from the initial registration.

Send a POST request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the detailed information of the created customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per user account and ad account.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
nameStringCustomer file's name.
Allowed characters: Korean, English, special characters, space
Character limits: 120 characters
O
fileTypeStringFile identifier type
ADID
O
sourceUrlStringThe URL to register.O
renewableBooleanWhether to renew
If true, the customer file will be renewed once a day.
O

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
customerFileStatusStringStatus.
WAITING (Pending)
createdDateStringDate and time of registration.
lastModifiedDateStringLast modified date and time.
originalCreatedDateStringThe initial registration date and time.
If the customer file has been modified, the registration date and time of the first registered customer file.
typeStringThe type of the registration.
sourceUrlStringRegistered URL.
renewableBooleanWhether to renew.
renewalExpireDateTimeStringRenewal period
90 days from the registration.

Sample

Request
curl -X POST "https://apis.moment.kakao.com/openapi/v4/customerFiles/url" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json" \
-d '{
"name": "test9",
"fileType": "ADID",
"sourceUrl": "https://sample-url.com/this-is-sample-file.csv",
"renewable": true
}'
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 1234,
"adAccountId": 12345,
"name": "test9",
"adidListKey": "1be324a5e8314cec9ddc526e2e9858a7",
"customerFileStatus": "WAITING",
"ready": false,
"createdDate": "2024-01-25T19:31:41.571411",
"lastModifiedDate": "2024-01-25T19:31:41.571411",
"originalCreatedDate": "2024-01-25T19:31:41.489213",
"populationUpdateDate": null,
"type": "URL",
"sourceUrl": "https://sample-url.com/*****e-file.csv",
"renewable": false,
"renewalExpireDateTime": null,
"transformStatus": "STANDBY",
"transformDateTime": null
}

Customer file editing

Edit with file

Basic information
MethodURLAuthorization
PUThttps://apis.moment.kakao.com/openapi/v4/customerFilesBusiness token

Edits an existing customer file target.

Only the target that customerFileStatus is COMPLETE is editable. The target registered in a file format can be edited only in a file format. The editable field is files. Target population is extracted within 6 hours after the customer file is edited. Until the edit is completed, the target of the ad group uses the previous target. This API only supports the Multipart/form-data method.

Send a PUT request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the detailed information of the modified customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per customer file.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
idLongCustomer file ID that you want to edit.O
filesMultipartFileCustomer file with a .CSV file extension.
Number of files to be uploaded: up to 10
Total size of uploaded files: up to 200 MB
Its MimeType is text/csv.
O

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
successCountIntegerNumber of successes
failedCountIntegerNumber of failures.
successFileUrlStringURL of the data file uploaded successfully.
failedFileUrlStringURL of the data file failed to be uploaded.
fileTypeStringFile identifier type.
ADID
customerFileStatusStringStatus.
WAITING (Pending)
createdDateStringDate and time of registration.

Sample

Request
curl -X PUT "https://apis.moment.kakao.com/openapi/v4/customerFiles" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: multipart/form-data" \
-F "files=@local/sample1.csv" \
-F "files=@local/sample2.csv" \
-F "files=@local/sample3.csv" \
-F "id=1234"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 1,
"adAccountId": 1234,
"name": "first_customer_file",
"successCount": 100,
"failedCount": 0,
"successFileUrl": "https://stwg.kakaocdn.net/success.csv",
"fileType": "ADID",
"customerFileStatus": "WAITING",
"createDate": "2020-01-01 00:00:00"
}

Edit with URL

Basic information
MethodURLAuthorization
PUThttps://apis.moment.kakao.com/openapi/v4/customerFiles/urlBusiness token

To edit a customer file, you need to upload a new file to replace the previous file.

The target registered in a URL format can be edited only in a URL format.

sourceUrl and renewable are available to edit. Target population is extracted within 6 hours after the customer file is edited. Until the edit is completed, the target of the ad group uses the previous target.

Send a PUT request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the detailed information of the modified customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

This API limits the number of calls you can make to every five seconds per customer file.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
idLongCustomer file IDO
fileTypeStringFile type
ADID
O
sourceUrlStringRegistered URL.O
renewableBooleanWhether to renewO

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file name.
customerFileStatusStringStatus.
WAITING (Pending)
createdDateStringDate and time of registration.
lastModifiedDateStringLast modified date and time.
originalCreatedDateStringThe initial registration date and time.
If the customer file has been modified, the registration date and time of the first registered customer file.
typeStringThe type of the registration.
sourceUrlStringRegistered URL.
renewableBooleanWhether to renew
renewalExpireDateTimeStringRenewal period
90 days from the registration.

Sample

Request
curl -X PUT "https://apis.moment.kakao.com/openapi/v4/customerFiles/url" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json" \
-d '{
"id": 9999,
"sourceUrl": "https://sample-url.com/customer_file_invalid1.csv",
"renewable": false
}'
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 2611,
"version": 0,
"createdDate": "2024-01-31T18:24:32",
"lastModifiedDate": "2024-01-31T18:24:32",
"adAccountId": 27429,
"name": "test1",
"fileUrl": null,
"payloadFileUrl": null,
"status": "WAITING",
"adidListKey": "df3078a4a3f44cb6bc9041d1ca77c73f",
"fileType": "ADID",
"type": "URL",
"sourceUrl": "ttps://sample-url.com/*****e-file.csv",
"renewable": false,
"renewalExpireDateTime": null,
"payloadFileUploadDate": null,
"dataRegStatusTargeting": "STANDBY",
"dataRegStatusPopulation": "STANDBY",
"transformStatus": "STANDBY",
"transformDateTime": null,
"originalCreatedDate": "2024-01-30T14:34:22",
"populationUpdateDate": null,
"modifyStatus": "WAITING",
"lastModifiedDate": "2024-01-31T18:24:32.234037",
"maskedSourceUrl": "https://sample-url.com/*****e-file.csv"
}

Edit customer file name

Basic information
MethodURLAuthorization
PUThttps://apis.moment.kakao.com/openapi/v4/customerFiles/nameBusiness token

Enables you to edit the customer file's name.

You cannot edit the customer file that has already been registered but can edit its name only.

Send a PUT request with the issued business token and an ad account ID (adAccountId) in the request header. You must also pass the customer file's ID and a new name to be changed to when you request. If the request is successful, this API returns the detailed information of the modified customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Body
NameTypeDescriptionRequired
idLongCustomer file ID.O
nameStringNew name that you want to change to.
Allowed characters: Korean, English, special characters, space
Character limits: 120 characters
O

Response

Body
NameTypeDescription
idLongCustomer file ID.
adAccountIdLongAd account's ID.
nameStringCustomer file's name.
adidListKeyStringCustomer file's registration key.
readyBooleanWhether it is ready or not.
customerFileStatusStringStatus.
One of the followings:
  • WAITING: Waiting for extracting target population from customer file.
  • COMPLETE: Target population has been extracted from a customer file.
  • DELETE: The customer file has been deleted or will be deleted.
  • MODIFYING: Target population will be modified.
  • ERROR: Other abnormal cases.
  • TRANSFORM_ERROR: Failed to register the CSV file with the URL.
createdDateStringDate and time of target registration.
lastModifiedDateStringLast modified date and time.
originalCreatedDateStringThe initial registration date and time.
If the customer file has been modified, the registration date and time of the first registered customer file.
populationUpdateDateStringDate and time of target update.

Sample

Request
curl -X PUT "https://apis.moment.kakao.com/openapi/v4/customerFiles/name" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-d '{
"id": 123,
"name": "new_name_of_customer_file"
}'
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 2687,
"adAccountId": 27429,
"name": "CHANGED_FILE_NAME",
"adidListKey": "da4a57899e43428bb7e47b09ac9c4311",
"customerFileStatus": "COMPLETE",
"ready": true,
"createdDate": "2024-02-07T00:03:38",
"lastModifiedDate": "2024-02-07T17:58:11.591512",
"originalCreatedDate": "2024-02-06T17:12:15",
"populationUpdateDate": "2024-02-07T01:34:00",
"type": "URL",
"sourceUrl": "https://sample-url.com/*****valid1.csv",
"renewable": true,
"renewalExpireDateTime": "2024-05-07T00:03:38",
"transformStatus": "COMPLETED",
"transformDateTime": "2024-02-07T00:16:23"
}

Delete customer file

Basic information
MethodURLAuthorization
DELETEhttps://apis.moment.kakao.com/openapi/v4/customerFiles/${ID}Business token

Deletes a registered customer file.

If the customer file is being used in an ad group, you cannot delete the customer file.

Send a DELETE request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the customer file ID to be deleted as a parameter when you request. If the request is successful, this API returns the HTTP status code 200 without the response body. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
IDLongCustomer file ID.O

Sample

Request
curl -v -X DELETE "https://apis.moment.kakao.com/openapi/v4/customerFiles/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8

Delete multiple customer files

Basic information
MethodURLAuthorization
DELETEhttps://apis.moment.kakao.com/openapi/v4/customerFilesBusiness token

Deletes multiple customer files at once.

If the customer file is being used in an ad group, you cannot delete the customer file.

Send a DELETE request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the customer file IDs to be deleted as a parameter when you request. If the request is successful, this API returns the HTTP status code 200 without the response body. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Query parameter
NameTypeDescriptionRequired
customerFileIdsStringCustomer file ID.
To pass multiple Customer file IDs, separate them with a comma(,).
O

Sample

Request
curl -v -X DELETE "https://apis.moment.kakao.com/openapi/v4/customerFiles?customerFileIds=${CUSTOMER_FILE_ID},${CUSTOMER_FILE_ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"successCount": 1,
"failCount": 1,
"errorMessages": [
"타겟을 사용 중인 오디언스가 있습니다."
]
}

View usage of customer file

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/customerFiles/usages/${ID}Business token

Retrieves the list of ad groups and campaigns that use the designated customer file.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the customer file's ID as a parameter when you request. If the request is successful, this API returns the list of ad groups and campaigns that use the corresponding customer file in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
IDLongCustomer file ID.O

Response

Body
NameTypeDescription
-AdGroupAndCampaign[]List of ad groups and campaigns using the customer file.
AdGroupAndCampaign
NameTypeDescription
adGroupAdGroupInformation of the ad group.
campaignCampaignInformation of the campaign.

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/customerFiles/usages/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"adGroup": {
"id": 56,
"name": "first_ad_group",
"adGroupStatus": [
"LIVE"
],
"adGroupType": "DISPLAY"
},
"campaign": {
"id": 78,
"name": "first_campaign",
"campaignTypeGoal": {
"campaignType": "DISPLAY",
"goal": "VISITING"
}
}
}
]

See more

Was this helpful?